GET api/pcapi/pcsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_id": "63befcd5-5c38-4409-8337-f9f8a4f9440d",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "922dba1b-2f01-49d0-b049-e263799115fa",
"local_ip": "sample string 7",
"lock_id": "e581f399-2459-4bc4-9a0b-7828e0b11cc3",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "e5a0c6f0-da64-4cb0-a571-1e1665a34407",
"rights": [
{
"code": "sample string 1",
"id": "1e2a2f9f-b477-457f-9329-d886ed89fb0c"
},
{
"code": "sample string 1",
"id": "1e2a2f9f-b477-457f-9329-d886ed89fb0c"
}
],
"site_id": "ec11da7d-8624-407b-b444-1ed37b23f675",
"zone_id": "65f393db-897a-49be-8995-5786a5d53aee"
},
{
"active": true,
"cleanroom_id": "63befcd5-5c38-4409-8337-f9f8a4f9440d",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "922dba1b-2f01-49d0-b049-e263799115fa",
"local_ip": "sample string 7",
"lock_id": "e581f399-2459-4bc4-9a0b-7828e0b11cc3",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "e5a0c6f0-da64-4cb0-a571-1e1665a34407",
"rights": [
{
"code": "sample string 1",
"id": "1e2a2f9f-b477-457f-9329-d886ed89fb0c"
},
{
"code": "sample string 1",
"id": "1e2a2f9f-b477-457f-9329-d886ed89fb0c"
}
],
"site_id": "ec11da7d-8624-407b-b444-1ed37b23f675",
"zone_id": "65f393db-897a-49be-8995-5786a5d53aee"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc>
<active>true</active>
<cleanroom_id>63befcd5-5c38-4409-8337-f9f8a4f9440d</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>922dba1b-2f01-49d0-b049-e263799115fa</id>
<local_ip>sample string 7</local_ip>
<lock_id>e581f399-2459-4bc4-9a0b-7828e0b11cc3</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>e5a0c6f0-da64-4cb0-a571-1e1665a34407</pc_type_id>
<rights>
<right>
<ID>1e2a2f9f-b477-457f-9329-d886ed89fb0c</ID>
<code>sample string 1</code>
</right>
<right>
<ID>1e2a2f9f-b477-457f-9329-d886ed89fb0c</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>ec11da7d-8624-407b-b444-1ed37b23f675</site_id>
<zone_id>65f393db-897a-49be-8995-5786a5d53aee</zone_id>
</pc>
<pc>
<active>true</active>
<cleanroom_id>63befcd5-5c38-4409-8337-f9f8a4f9440d</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>922dba1b-2f01-49d0-b049-e263799115fa</id>
<local_ip>sample string 7</local_ip>
<lock_id>e581f399-2459-4bc4-9a0b-7828e0b11cc3</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>e5a0c6f0-da64-4cb0-a571-1e1665a34407</pc_type_id>
<rights>
<right>
<ID>1e2a2f9f-b477-457f-9329-d886ed89fb0c</ID>
<code>sample string 1</code>
</right>
<right>
<ID>1e2a2f9f-b477-457f-9329-d886ed89fb0c</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>ec11da7d-8624-407b-b444-1ed37b23f675</site_id>
<zone_id>65f393db-897a-49be-8995-5786a5d53aee</zone_id>
</pc>
</ArrayOfpc>